Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.session
Class SessionExpirer

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.session.SessionExpirer

public final class SessionExpirer
extends BaseInterceptor

This module handles session expiration ( independent of the session storage and reloading ). For scalability it uses a single thread per module ( you can use per/context interceptors instead of global to change that ) It is derived from SimpleSessionStrore, refactored to keep the code clear.

Author:
  costin@eng.sun.com, hans@gefionsoftware.com, pfrieden@dChain.com, Shai Fultheim [shai@brm.com]

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`SessionExpirer()`

Method Summary
`void` | `engineStart(ContextManager cm)` Notify that the server is ready and able to process requests
`void` | `engineStop(ContextManager cm)` Notify that the server is disabled and shoulnd't process more requests
`Expirer` | `getExpirer()`
`int` | `sessionState(Request req, ServerSession session, int state)` Hook for session state changes.
`void` | `setCheckInterval(int secs)` Set the check interval (in seconds) for this Manager.

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineState, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionExpirer

    public SessionExpirer()

Method Detail

### setCheckInterval

    public void setCheckInterval(int secs)

  Set the check interval (in seconds) for this Manager.

### getExpirer

    public Expirer getExpirer()

### engineStart

    public void engineStart(ContextManager cm)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notify that the server is ready and able to process requests

  Overrides:
    `engineStart` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### engineStop

    public void engineStop(ContextManager cm)
                    throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notify that the server is disabled and shoulnd't process more requests

  Overrides:
    `engineStop` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### sessionState

    public int sessionState(Request req,
                            ServerSession session,
                            int state)

  Description copied from class: `BaseInterceptor`
  Hook for session state changes. Will be called every time a session change it's state. A session module will announce all changes - like STATE_NEW when the session is created, STATE_EXPIRED when the session is expired, STATE_INVALID when the session is invalidated.

  Overrides:
    `sessionState` in class `BaseInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.